using System.ComponentModel;
using Hotline.Exams.Base;
using SqlSugar;

namespace Hotline.Exams.Practices
{
    /// <summary>
    /// 练习记录
    /// </summary>
    [Description("练习记录")]
    public class ExamPracticeRecord:ExamBusinessEntity
    {
        /// <summary>
        /// 练习Id
        /// </summary>
        [SugarColumn(ColumnDescription ="练习Id")]
        [Description("练习Id")]
        public string PracticeId { get; set; }

        /// <summary>
        /// 用户Id
        /// </summary>
        [SugarColumn(ColumnDescription = "用户Id")]
        [Description("用户Id")]
        public string UserId { get; set; }

        /// <summary>
        /// 练习时间
        /// </summary>
        [SugarColumn(ColumnDescription = "练习时间")]
        [Description("练习时间")]
        public DateTime PracticeTime { get; set; }

        /// <summary>
        /// 是否结束
        /// </summary>
        [SugarColumn(ColumnDescription = "是否结束")]
        [Description("是否结束")]
        public bool IsComplete { get; set; }
    }
}
